[RTL] Resizer icon mirrored on specific site(s)

VERIFIED FIXED in Firefox 61

Status

()

defect
VERIFIED FIXED
11 months ago
11 months ago

People

(Reporter: itiel_yn8, Assigned: timdream)

Tracking

({regression, rtl})

unspecified
mozilla62
Points:
---
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox-esr52 unaffected, firefox-esr60 unaffected, firefox60 unaffected, firefox61+ verified, firefox62+ verified)

Details

(URL)

Attachments

(1 attachment)

(Reporter)

Description

11 months ago
This is a continuation to bug 1457722 & bug 1459646.
The resizers are now okay on most places, but I can see a site where the resizer is still mirrored.

STR:
0. Set intl.uidirection to 1 in about:config
1. Open this website (Israel's Mozilla community):
https://community.mozilla.org.il/viewtopic.php?f=9&p=63167#p63167
2. At the bottom, click the pink-ish "פרסם תגובה" button
3. In the resulting page observe the resizer in the form box there

AR:
Mirrored resizer button (pointing to the right)

ER:
Resizer button pointing to the left.

From mozregression:
2018-05-25T16:24:41: DEBUG : Starting merge handling...
2018-05-25T16:24:41: DEBUG : Using url: https://hg.mozilla.org/integration/autoland/json-pushes?changeset=3b84be9ee9e6a19d8e49aa86b71c9d60b5eaec8b&full=1
2018-05-25T16:24:42: DEBUG : Found commit message:
Bug 1459646 - Always flip the resizer with CSS transform r=dao

Having the native theme widget to flip its own direction turned out to be
something not needed anymore, and it interfere with the CSS rule we set to
flip non-native SVG background.

This patch turned that off and always flips the resizer with CSS transform.

MozReview-Commit-ID: EbjTfFpJpZ0

2018-05-25T16:24:42: INFO : The bisection is done.
2018-05-25T16:24:42: INFO : Stopped

Regression range is 2018-05-08 to 2018-05-09.
(Reporter)

Updated

11 months ago
Flags: needinfo?(timdream)
(Reporter)

Comment 1

11 months ago
Note: for this specific site, the issue was not occuring before and after the patch for bug 1457722 has landed.
This was introduced only after bug 1459646.
Keywords: rtl
Thanks for filing. This is yet another unforeseen case: |resizer: vertical| with a |dir=rtl| <textarea>.
Assignee: nobody → timdream
Status: NEW → ASSIGNED
Flags: needinfo?(timdream)

Comment 4

11 months ago
mozreview-review
Comment on attachment 8980828 [details]
Bug 1464412 - Flip vertical resizers on rtl sites

https://reviewboard.mozilla.org/r/247016/#review253472
Attachment #8980828 - Flags: review?(dao+bmo) → review+

Comment 5

11 months ago
Pushed by timdream@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/b72d77bc8c56
Flip vertical resizers on rtl sites r=dao

Comment 6

11 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/b72d77bc8c56
Status: ASSIGNED → RESOLVED
Last Resolved: 11 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla62
Please request Beta approval on this when you get a chance.
Flags: qe-verify+
Flags: needinfo?(timdream)
Flags: in-testsuite+
Comment on attachment 8980828 [details]
Bug 1464412 - Flip vertical resizers on rtl sites

Approval Request Comment
[Feature/Bug causing the regression]: bug 1459646
[User impact if declined]: RTL-locale users will see inverted resizer when the frame has |resize: vertical|
[Is this code covered by automated tests?]: Yes, see the patch.
[Has the fix been verified in Nightly?]: Yes, manually.
[Needs manual test from QE? If yes, steps to reproduce]: No.
[List of other uplifts needed for the feature/fix]: None.
[Is the change risky?]: No.
[Why is the change risky/not risky?]: Localized change specific to the bug.
[String changes made/needed]:
Flags: needinfo?(timdream)
Attachment #8980828 - Flags: approval-mozilla-beta?
Comment on attachment 8980828 [details]
Bug 1464412 - Flip vertical resizers on rtl sites

Fix for misoriented resizers on RTL sites under certain circumstances with new reftests included. Approved for 61.0b10.
Attachment #8980828 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
(Reporter)

Comment 11

11 months ago
Looking good now on latest Nightly.
Managed to reproduce the initial issue on 62.0a1 (2018-05-25). I can confirm that 61.0b10 build1 (20180530184300) and 62.0a1 (2018-05-31) are verified fixed across platforms (Windows 10 x4, macOs 10.12.6 and Ubuntu 16.04 x64).
Status: RESOLVED → VERIFIED
Flags: qe-verify+
You need to log in before you can comment on or make changes to this bug.